@charset "utf-8";


header {
  background: #6b5e55;
  color: #fff;
}

.reservation-page {
  padding: 120px 0 80px;
  text-align: center;
}

/* 타이틀 */
.reserve-header h2 {
  font: italic 500 60px "Noto Sans", sans-serif;
  margin-bottom: 20px;
}

.sub-title {
  font-size: 20px;
  color: #6b5e55;
  margin-bottom: 50px;
}

/* 안내 박스 */
.reserve-info {
  width: 100%;
  margin: 0 auto 60px;
  padding: 8px 0;
  background: rgba(255, 255, 255, 0.5);
  backdrop-filter: blur(4px);
  font: normal 18px "Noto Sans", sans-serif;
}

.reserve-info ul {
  text-align: center;
}

.reserve-info li {
  margin: 10px 0;
  font-size: 18px;
}

/* 버튼 영역 */
.reserve-wrap {
  display: flex;
  justify-content: center;
  gap: 80px;
  flex-wrap: wrap;
}

/* 버튼 공통 */
.reserve-btn {
  position: relative;
  width: 280px;
  height: 280px;
  background: linear-gradient(145deg, #2f5d3a, #254c2f);
  color: #fff;
  border-radius: 40px;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  font-size: 30px;
  text-decoration: none;

  box-shadow:
    0 10px 20px rgba(0, 0, 0, 0.25),
    inset 0 2px 3px rgba(255, 255, 255, 0.2);

  transition: all 0.35s cubic-bezier(0.22, 1, 0.36, 1);
  overflow: hidden;
}

/* 아이콘 */
.reserve-btn .icon {
  font-size: 42px;
  margin-bottom: 15px;
  transition: transform 0.3s;
}

/*  빛  */
.reserve-btn::before {
  content: "";
  position: absolute;
  top: -50%;
  left: -50%;
  width: 200%;
  height: 200%;

  background: linear-gradient(120deg,
      transparent 30%,
      rgba(255, 255, 255, 0.3),
      transparent 70%);

  transform: rotate(25deg);
  transition: 0.6s;
  opacity: 0;
}


.reserve-btn:hover {
  transform: translateY(-8px) scale(1.0);

  box-shadow:
    0 25px 50px rgba(0, 0, 0, 0.4),
    inset 0 2px 5px rgba(255, 255, 255, 0.25);
}


.reserve-btn:hover .icon {
  transform: translateY(-5px) scale(1.0);
}

/* 빛 */
.reserve-btn:hover::before {
  left: 100%;
  opacity: 1;
}

/* 눌리는 느낌 */
.reserve-btn:active {
  transform: translateY(-2px) scale(0.98);

  box-shadow:
    0 5px 10px rgba(0, 0, 0, 0.3),
    inset 0 3px 6px rgba(0, 0, 0, 0.2);
}


.reserve-btn.naver {
  background: linear-gradient(145deg, #03c75a, #02a94f);
}

.reserve-btn.phone {
  background: linear-gradient(145deg, #2f5d3a, #254c2f);
}